package com.zcloud.domain.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.domain.dto.*;
import com.zcloud.domain.dto.clientobject.ProjectTaskScoreInfoCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:30:46
 */
public interface ProjectTaskScoreInfoServiceI {
    PageResponse<ProjectTaskScoreInfoCO> listPage(ProjectTaskScoreInfoPageQry qry);

    SingleResponse<ProjectTaskScoreInfoCO> add(ProjectTaskScoreInfoAddCmd cmd);

    void edit(ProjectTaskScoreInfoUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    void setScore(ProjectTaskSetScoreCmd projectTaskSetScoreCmd);

    SingleResponse<ProjectTaskScoreInfoCO> saveScoreUser(ProjectTaskDetailAddCmd cmd);
}

